=== debian/changelog ===
remmina (1.1.2-4ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libappindicator3-dev, intltool to enable
      support
    - debian/patches/translations.patch,
      - Make translatable and add keywords.
      - disable 0005-desktop.patch included in translations.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Jan 2017 22:27:53 +0100

remmina (1.1.2-4) unstable; urgency=medium

  * debian/control:
    - Change homepage.
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change Vcs-* to secure uri.
    - Change cmake release to >= 3.5.
    - Switch Depends from dbus-x11 to
      default-dbus-session-bus | dbus-session-bus (Closes: #836045).
    - Remove unneeded versions from Depends.
  * Rename patches.
  * Add 2016 at debian/copyright.
  * New debian/paches/0705-wayland.patch (Closes: #801963):
    - Disable wayland to prevend system crashes.
  * Migrate to debhelper 10:
    - Change debian/compat to 10.
    - Change debhelper version in debian/control to >= 10.
  * Remove not longer needed debian/menu.
  * Rewrite debian/watch.
  * Update patch 0700-desktop.patch by adding the list separator at the end of
    the Keywords key: this makes remmina.desktop valid (Closes: #812479).
    Thanks to Pino Toscano <pino@debian.org>.
  * New debian/README.debian:
    - Add section about keymapping (Closes: #763723).
  * debian/rules:
    - Enable hardening.
  * Use the automatic debug symbol packages:
    - debian/control: Remove remmina-dbg.
    - debian/rules: Remove --dbg-package=remmina-dbg

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 27 Dec 2016 13:58:18 +0100

remmina (1.1.2-3ubuntu2) yakkety; urgency=medium

  * debian/control.in:
    - Build-depend on libgnutls28-dev instead of libgnutls-dev
    - Depend on default-dbus-session-bus | dbus-session-bus instead of
      dbus-x11 (Closes: #836045)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 29 Sep 2016 23:15:02 -0400

remmina (1.1.2-3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1556383).  Remaining changes:
    - Switch build depends from transitional libgnutsl28-dev to libgnutls-dev
    + debian/control:
      - Build-depend on libappindicator3-dev, intltool
    + debian/rules:
      - Build with libappindicator
      - Call intltool-update on build
    + debian/patches/translations.patch,
      - Make translatable and add keywords.
      - disable 0005-desktop.patch included in translations.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Mar 2016 09:05:49 +0100

remmina (1.1.2-3) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New Maintainer. (Closes: #755303)
  * debian/control:
    - Set myself as Maintainer.
    - Reorder *-Depends.
    - Change requested cmake version to >= 2.8.
    - Change Vcs-* to new cgit based repository viewer.
  * debian/copyright:
    - Add myself to the list of authors for debian/*.
    - Change GPL-2+ to GPL-2+ with SSL exception.
  * debian/watch:
    - Add changes from bartm.
      Thanks to Bart Martens <bartm@debian.org>

  [ Luca Falavigna ]
  * debian/control:
    - Switch to vte 2.91 (Closes: #788020).
    - Remove obsolete Breaks/Replaces fields.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 30 Sep 2015 19:15:27 +0200

remmina (1.1.2-2ubuntu3) wily; urgency=medium

  * debian/control:
    - Switch build depends from transitional libgnutsl28-dev to libgnutls-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 11 Aug 2015 11:36:46 +1200

remmina (1.1.2-2ubuntu2) wily; urgency=medium

  * No change rebuild for new libvncclient1

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 01 Jun 2015 23:09:12 -0500

remmina (1.1.2-2ubuntu1) wily; urgency=low

  * Merge with Debian, remaining Ubuntu changes:
    + debian/control:
      - Build-depend on libappindicator3-dev, intltool
      - Switch vte Build-Depends to 2.91
    + debian/rules:
      - Build with libappindicator
      - Call intltool-update on build
    + debian/patches/translations.patch,
      - Make translatable and add keywords.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 18 May 2015 15:53:17 +0100

remmina (1.1.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 26 Apr 2015 10:16:06 +0200

remmina (1.1.2-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release.
    - Drop RDP_certificate_crash.patch, already available upstream.
    - Fix bugs with plugins using GtkSocket.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 19 Dec 2014 09:08:46 +0100

remmina (1.1.1-1ubuntu1) vivid; urgency=low

  * Merge with Debian, remaining Ubuntu changes: (LP: #1358770)
    + debian/control:
      - Build-depend on libappindicator3-dev, intltool
    + debian/rules:
      - Build with libappindicator
      - Call intltool-update on build
    + debian/patches/translations.patch,
      - Make translatable and add keywords.
  * Dropped changes:
    - Add Breaks and Replaces from remmina to remmina-common as the .desktop
      file has moved across. Not required any more as this more than one LTS
      ago.
    - Set keywords in desktop file to make searchable. Merged into
      translations.patch.
    - Add quick lists for the unity launcher. Upstream now.
      Set a title so the unity-hud doesn't list as "untitled". Upstream now.
  * Port to work with vte 2.91

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 07 Nov 2014 16:17:53 +0000
