=== debian/control ===
Source: remmina
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 cmake (>= 3.5),
 debhelper (>= 10~),
 libavahi-ui-gtk3-dev,
 libfreerdp-dev,
 libgcrypt20-dev,
 libgnome-keyring-dev,
 libgnutls28-dev,
 libgtk-3-dev,
 libjpeg-dev,
 libssh-dev,
 libtelepathy-glib-dev,
 libvncserver-dev,
 libvte-2.91-dev,
 libxkbfile-dev,
 libappindicator3-dev,
 intltool
Standards-Version: 3.9.8
Homepage: http://www.remmina.org/
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/remmina.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/remmina.git

Package: remmina
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina-common (= ${source:Version}),
 default-dbus-session-bus | dbus-session-bus
Recommends:
 remmina-plugin-rdp,
 remmina-plugin-vnc
Description: remote desktop client for GNOME desktop environment
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 It supports multiple network protocols in an integrated and consistent user
 interface. Currently RDP, VNC, NX, XDMCP and SSH protocols are supported.

Package: remmina-common
Architecture: all
Depends: ${misc:Depends}
Recommends: remmina
Description: common files for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the common files.

Package: remmina-plugin-rdp
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Recommends: libfreerdp-plugins-standard
Description: RDP plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the RDP plugin for Remmina.

Package: remmina-plugin-vnc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: VNC plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the VNC plugin for Remmina.

Package: remmina-plugin-xdmcp
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 xserver-xephyr
Description: XDMCP plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the XDMCP plugin for Remmina.

Package: remmina-plugin-nx
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 nxproxy
Description: NX plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the NX plugin for Remmina.

Package: remmina-plugin-telepathy
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: Telepathy plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the Telepathy plugin for Remmina.

Package: remmina-plugin-gnome
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: GNOME plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the GNOME Keyring plugin for Remmina, which allows one
 to store and retrieve passwords from GNOME Keyring.
