=== debian/rules ===
#!/usr/bin/make -f

# hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LDFLAGS += -Wl,--as-needed

%:
	dh $@

override_dh_install:
	dh_install
	cd remmina/po; intltool-update --pot --verbose -g remmina
	[ -d debian/remmina-common ] && \
		find $(CURDIR)/debian/remmina-common -name "*remmina.desktop" -delete && \
		find $(CURDIR)/debian/remmina-common -type d -empty -delete || true

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_clean:
	-rm remmina/po/remmina.pot
	dh_clean
